Subject: Re: Development strategy

From: Lea Wiemann <[email-masked]>
Date: Tue, 03 Jun 2008 00:36:44 +0200

Sverre Rabbelier wrote:
> Keep your commit strategy as is [with small commits],
> and create a branch whenever you want review and in that branch you
> squash the commits as appropriate

Are you suggesting that the squashed patches get merged, or that the 
squashed patches get reviewed but the finer-granulated patches get 
merged?  In the former case, I'd probably prefer to work with larger 
patches in the first place (and not just squash them on the review 
branch), since they are easier to handle -- e.g. I sometimes need to go 
back and change things in earlier commits, and in those cases larger 
commits are easier.

-- Lea